aboutsummaryrefslogtreecommitdiff
path: root/check/bash
diff options
context:
space:
mode:
authorTom Ryder <tom@sanctum.geek.nz>2016-08-19 23:22:51 +1200
committerTom Ryder <tom@sanctum.geek.nz>2016-08-19 23:22:51 +1200
commit6daae9a75afa12f929be810a52ad21139233adfa (patch)
tree409f8935029dca341ee4809581d375bd3a42cae4 /check/bash
parentMerge branch 'master' into freebsd (diff)
parentUpdate documentation for br(1) and xgo(1) (diff)
downloaddotfiles-6daae9a75afa12f929be810a52ad21139233adfa.tar.gz
dotfiles-6daae9a75afa12f929be810a52ad21139233adfa.zip
Merge branch 'master' into freebsd
Diffstat (limited to 'check/bash')
-rwxr-xr-xcheck/bash6
1 files changed, 6 insertions, 0 deletions
diff --git a/check/bash b/check/bash
new file mode 100755
index 00000000..f203c2c1
--- /dev/null
+++ b/check/bash
@@ -0,0 +1,6 @@
+#!/bin/sh
+for bash in bash/* bash/bashrc.d/* bash/bash_profile.d/* ; do
+ [ -f "$bash" ] || continue
+ bash -n "$bash" || exit
+done
+printf 'All bash(1) scripts parsed successfully.\n'